#pragma once

#include "CoreMinimal.h"
#include "ChargeableInteractionDefinition.h"
#include "TunableStat.h"
#include "WakeUpOtherInteraction.generated.h"

UCLASS(Blueprintable, EditInlineNew, meta=(BlueprintSpawnableComponent))
class UWakeUpOtherInteraction : public UChargeableInteractionDefinition
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	FTunableStat _wakeUpTimeStat;

public:
	UWakeUpOtherInteraction();
};

FORCEINLINE uint32 GetTypeHash(const UWakeUpOtherInteraction) { return 0; }
